html{ position: relative; min-height: 100%; }
body{
  /* Margin bottom by footer height */
  /*margin-bottom: 60px;*/
  background-color:#777;
  font-family: "Open Sans",sans-serif;
}

html, body, .container{ height: 100%; }

body > .container {
    padding: 45px 15px 0;
    padding-bottom:  30px !important;
    min-height: 100%;
    height: auto !important;
    margin: 0 auto -30px !important;
}

.footer{
    /*position: absolute;
    bottom: 0; */
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 30px;
    /*margin-top: -60px;*/
    clear: both;
    position: relative;
    z-index: 10;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
    text-align: center;
    color: #ffffff;
	font-size:12px;
}
.footer-logged { background-color: #222; display:none; }
.footer p {margin:0;padding:0;}
.footer a, .footer button {color:#FFF; font-weight:700; padding:5px 12px; font-size:12px;}

.container .text-muted { margin: 20px 0; }

.error-page h1{
    color: #7bbbd6;
    display: inline-block;
    font-size: 128px;
    font-weight: 300;
    letter-spacing: -10px;
    line-height: 128px;
    margin-bottom: 10px;
    margin-top: 0;
    position: relative;
    text-align: right;
    top: 20px;
}

.error-page a{
    color: #7bbbd6;
    font-size: 24px;
    font-weight: 600;
    position: relative;
    top: 35px;
	background-color:#222;
}

.welcome
{
    background-color: #eee;
    margin-bottom: 20px;
    border-radius: 6px;
    padding: 10px;
}

.spacer {
    margin-top: 10px; /* define margin as you see fit */
    padding-top: 15px; /* define margin as you see fit */
}

.login-logo-link{
    width: 153px;
    height: 30px;
    display: block;
    margin: auto;
}

.page-icon .login-logo-icon {
    background-image: url("../img/main-logo/login-logo.png");
    background-position: -10px 0;
    background-repeat: no-repeat;
    background-size: 110px 75px;
    height: 45px;
    width: 90px;
	margin: 30px 0 0 3px;
    opacity: 0.5;
    position: fixed;
    transition: all 0.5s ease-in-out 0s;
    vertical-align: middle;
	-moz-transform:rotate(-20deg);
	-webkit-transform:rotate(-20deg);
	-o-transform:rotate(-20deg);
	-ms-transform:rotate(-20deg);
	transform: rotate(-20deg);
}

.rotate-icon{
	-moz-transform:rotate(0deg) !important;
	-webkit-transform:rotate(0deg) !important;
	-o-transform:rotate(0deg) !important;
	-ms-transform:rotate(0deg) !important;
	transform: rotate(0deg) !important;
    opacity: 1 !important;
}


.login-logo-name{
    width: 153px;
    height: 30px;
    background-image: url(../img/main-logo/login-logo.png);
	background-position:0 -70px;
    background-size: 153px 100px;
    background-repeat: no-repeat;
}

.ps-logo-link{
    width: 226px;
    height: 30px;
    display: block;
    margin: auto;

}

.ps-logo{
    width: 226px;
    height: 30px;
    background-image: url(../img/main-logo/top-bar-logo.png);
    background-size: 226px 30px;
    background-repeat: no-repeat;
}

#about{color:#000000;}
#contact{color:#000000;}
#contact_success{color:#000000;}
#contact_url{display: none;}

.col-xs-12 .nav > li > a {padding: 5px;}
.input-group{display: block;}
.help-block{margin-top:0;}
.tab-content{margin-top: 10px;}
.well{margin-bottom:2px;}

.brand{
    position: absolute;
    width: 100%;
    left: 0;
    text-align: center;
    margin: auto;
    padding: 4px 8px;
}


.navbar{margin-bottom:10px;min-height:35px;}
.navbar-nav > li > a{padding:8px 8px;}
.navbar-brand{float: none;}
.navbar-toggle{margin-top:2px;margin-bottom:0;}

.site-menu{float:left;margin-left:15px;}
.user-menu{float:right;border-radius:5px;margin-right:10px;background-color:dimgrey;margin-top:0;}
.user-menu > .navbar-nav{margin:0;}
.user-menu .dropdown > .dropdown-menu {position:absolute;}
.user-menu li.dropdown {display:inline-block !important;background-color:grey;border-radius:5px;margin:1px;}
.user-menu li.dropdown.open a, .user-menu li.dropdown > a:hover {border-radius:5px !important;}

.dropdown-user > a{color:white !important;}
.dropdown-user > .dropdown-menu{min-width: 115px;right:0;left:auto;background-color:white !important;border: 1px solid rgba(0, 0, 0, 0.15) !important;box-shadow: 0 6px 12px rgba(0, 0, 0, 0.176) !important;}
.dropdown-user > .dropdown-menu > li > a{padding: 0 10px !important; color:black !important;}
.dropdown-user > .dropdown-menu > li > a:hover{background-color:whitesmoke !important;}


.dropdown-notification > .dropdown-menu{width:275px;right:0;left:-165px;padding:5px 0 0 0;}
.dropdown-notification > .dropdown-menu > li {}
.dropdown-notification > .dropdown-menu > li.external {display:inline-block;background:slategrey;margin-top:-5px;padding:5px 0 5px 10px;width:275px;}
.dropdown-notification > .dropdown-menu > li.external > h3 {font-size:13px;color:black;display:inline-block;margin:0;padding:0}
.dropdown-notification > .dropdown-menu > li.external > a {font-size:11px;color:#000;display:inline-block;float:right;}
.dropdown-menu-list{list-style:outside none none;padding:0;}
.dropdown-menu-list > li > a {border-bottom:1px solid #eff2f6 !important;color:#000;display:block;padding:8px 14px;line-height:18px;white-space:nowrap;text-decoration:none;}
.dropdown-menu-list > li > a > span.details > span.label {padding:3px 5px 3px 7px;margin-right:5px;}


.alert{margin-bottom:5px;padding:5px;}

.progress{height: 10px; border-radius: 10px;}

.panel-heading {padding: 5px 15px;}
.panel-footer {padding: 1px 15px;}

.flight-collapse a{
    text-decoration: none;
    cursor: pointer;
}

/* Setting Page Start */
.setting-list > a{
	padding:5px 10px;
}
/* Setting Page End */

@media (min-width: 1200px){
	.modal-lg{width:1000px;}
	.modal{}
    .modal-body{}
}

@media only screen and (max-width : 767px){body > .container{padding-top:80px;}}

/* Modal Iphone/Ipad no-scroll issue fix */
@media (max-height: 400px)
{
    .modal {
        /*position:fixed;
        top: 3%;
        right: 3%;
        left: 3%;
        bottom: 3%;
        width: auto;
        margin: 0;*/
        -webkit-overflow-scrolling: touch !important;
    }
    .modal-body {
        /*max-height: 200px;
        padding: 15px;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch !important;*/
    }
}


/*CSS for serving the retina image to devices with a high "device-pixel-ratio":*/
@media
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (-webkit-min-device-pixel-ratio: 1.5),
only screen and (min-devicepixel-ratio: 1.5),
only screen and (min-resolution: 1.5dppx)
{
    .login-logo{
        background-image: url(../img/main-logo/login-logo@2x.png);
    }

    .ps-logo{
        background-image: url(../img/main-logo/top-bar-logo@2x.png);
    }
}

@media
only screen and (-webkit-min-device-pixel-ratio: 4),
only screen and (   min--moz-device-pixel-ratio: 4),
only screen and (     -o-min-device-pixel-ratio: 4/1),
only screen and (        min-device-pixel-ratio: 4),
only screen and (                min-resolution: 4dppx)
{
    .login-logo{
        background-image: url(../img/main-logo/login-logo@4x.png);
    }
    .ps-logo{
        background-image: url(../img/main-logo/top-bar-logo@4x.png);
    }
}


/* col-xx class */

@media only screen
and (max-width : 475px)
{
    /* Styles */
    .col-xx-1 {
        width: 8.333333333333333%;
    }
    .col-xx-2 {
        width: 16.66666666666667%;
    }
    .col-xx-3 {
        width: 25%;
    }
    .col-xx-4 {
        width: 33.33333333333333%;
    }
    .col-xx-5 {
        width: 41.66666666666667%;
    }
    .col-xx-6 {
        width: 50%;
    }
    .col-xx-7 {
        width: 58.33333333333333%;
    }
    .col-xx-8 {
        width: 66.66666666666667%;
    }
    .col-xx-9 {
        width: 75%;
    }
    .col-xx-10 {
        width: 83.33333333333333%;
    }
    .col-xx-11 {
        width: 91.66666666666667%;
    }
    .col-xx-12 {
        width: 100%;
    }
    .xx-left{
        float: left;
    }
    .xx-spacer{
        margin-top: 10px; /* define margin as you see fit */
        padding-top: 15px; /* define margin as you see fit */
    }
    .col-xx-offset-12 {
        margin-left: 100%;
    }
    .col-xx-offset-11 {
        margin-left: 91.66666667%;
    }
    .col-xx-offset-10 {
        margin-left: 83.33333333%;
    }
    .col-xx-offset-9 {
        margin-left: 75%;
    }
    .col-xx-offset-8 {
        margin-left: 66.66666667%;
    }
    .col-xx-offset-7 {
        margin-left: 58.33333333%;
    }
    .col-xx-offset-6 {
        margin-left: 50%;
    }
    .col-xx-offset-5 {
        margin-left: 41.66666667%;
    }
    .col-xx-offset-4 {
        margin-left: 33.33333333%;
    }
    .col-xx-offset-3 {
        margin-left: 25%;
    }
    .col-xx-offset-2 {
        margin-left: 16.66666667%;
    }
    .col-xx-offset-1 {
        margin-left: 8.33333333%;
    }
    .col-xx-offset-0 {
        margin-left: 0;
    }
    .hidden-xx
    {
        display: none !important;
    }
    /* public > stats */
    .dashboard-box.col-xx-3 {
        padding: 0 7px;
    }
    .dashboard-box.col-xx-4 {
        padding: 0 7px;
    }
    .dashboard-box.col-xx-5 {
        padding: 0 7px;
    }
    .dashboard-box.col-xx-12 {
        padding:0 20px
    }

    .dashboard-stat .details {
        /* right: 5px !important; */
    }
    /*.dashboard-stat .details .number {
        font-size: 16px !important;
    }
    .dashboard-stat .details .desc {
        font-size: 10px !important;
    } */
}

/* col-xxx class */
@media only screen and (max-width : 374px){
    /* public > stats */
    .dashboard-box.col-xx-3 {
        padding: 0 2px;
    }
    .dashboard-box.col-xx-4 {
        padding: 0 2px;
    }
    .dashboard-box.col-xx-5 {
        padding: 0 2px;
    }
    .dashboard-box.col-xx-12 {
        padding:0 20px
    }
    .dashboard-stat .details {}
}

/* Dashboard widget */
.dashboard-stat.default{background-color: gray;}
.dashboard-stat.green{background-color: #5cb85c;}
.dashboard-stat.red{background-color: #d9534f;}
.dashboard-stat {
    display: block;
    margin-bottom: 10px;
    overflow: hidden;
    border-radius: 5px;
    min-height: 75px;
}
.dashboard-stat .visual {
    display: block;
    float: left;
    font-size: 35px;
    height: 60px;
    line-height: 35px;
    margin-bottom: 15px;
    padding-left: 15px;
    padding-top: 10px;
    width: 80px;
}
.dashboard-stat .visual > span {
    font-size: 90px;
    line-height: 70px;
    margin-left: -20px;
}
.dashboard-stat .details {
    position:relative;
    right: 0;
	margin-right:5px;
}
.dashboard-stat .details .number{color: white;}
.dashboard-stat .details .number {
    font-size: 20px;
    font-weight: 500;
    letter-spacing: -1px;
    line-height: 36px;
    margin-bottom: 0;
    padding-top: 10px;
    text-align: right;
}
.dashboard-stat .details .desc {
    color: white;
    opacity: 1;
}
.dashboard-stat .details .desc {
    font-size: 16px;
    font-weight: 300;
    letter-spacing: 0;
    text-align: right;
}


/* Base styles (regardless of theme) */
.bs-callout{margin: 20px 0 0 0; padding: 5px 15px;}
.bs-callout h4 {margin: 0;}
.bs-callout p:last-child{margin-bottom: 0;}
.bs-callout code, .bs-callout .highlight{background-color: #fff;}

/* Themes for different contexts */
.bs-callout-danger{background-color: #fcf2f2; border-color: #dFb5b4;}
.bs-callout-warning{background-color: #fefbed; border-color: #f1e7bc;}
.bs-callout-info{border-color: #d0e3f0;}
.bs-callout-danger h4, .bs-callout-danger a.alert-link{color: #B94A48;}
.bs-callout-warning h4, .bs-callout-warning a.alert-link {color: #C09853;}
/*.bs-callout-info h4, .bs-callout-info a.alert-link{color: #3A87AD;}*/
.bs-callout a.alert-link {font-weight: bold;}

.progress, .bs-callout {margin:0;}

/* Main Trip Panel > Change default panel color */
.panel-primary{border-color: lightgray; margin-bottom: 10px;}
.panel-primary > .panel-heading {border-color:#FFFFFF;background-color: #696969; padding: 5px 15px;}
.panel-primary > .panel-heading h4{margin-bottom: 0px; margin-top: 5px;}
.progress-bar-info{background-color:#16a085;}

.trip-logo {background-color: transparent; padding:0;}

/* Flight Panel */
.flight-panel {margin: 0;}
.flight-panel .panel-body {padding: 5px 5px;}

/* Flight start-end panel */
.flight-start-end-panel {position: relative; margin-bottom: 5px;}

/* Flight start end table */
table.flightinfo > tbody > tr:first-child > td:first-child,
table.flightinfo > tbody > tr:first-child > th:last-child {border-top:0;}
table.flightinfo{margin-bottom:0;}

table.planeinfo > tbody > tr.white > td,
table.planeinfo > tbody > tr > td.white {background-color:#fff;}
table.planeinfo{position:relative;margin-bottom: 5px;}

/* Flight operated by */
.flight-operated-by {margin-bottom: 5px !important; padding: 5px 0; overflow: hidden;}
/* Flight previous plane */
.flight-prev-plane {margin-bottom: 0;}

/*
table.flightinfo > tbody > tr:last-child > td:first-child,
table.flightinfo > tbody > tr:last-child > th:last-child {border-bottom:1px solid #ddd;}
*/

/* Add a Trip Form */
.ps-form-panel {margin-bottom:10px;}
.ps-form-panel .form-save-top {margin-top: 5px;}
.ps-form-panel hr {margin: 0;}
.ps-form-panel .panel-body {padding: 0 15px;}
.ps-form-panel .add-more-flights {padding: 5px;}
.ps-form-panel .form-actions{ padding :5px 0; }

.trip-form-section{background-color: seashell; padding: 15px 0;}

.flight-form-section{background-color: ivory; padding: 15px 0;}

.flight-date{background-color: #fff !important;}

.flight-segments .list-group {margin-bottom: 2px;}
.flight-segments .list-group-item {padding: 10px;}
.flight-segments .panel-body {padding: 5px 15px; background-color: lightgoldenrodyellow;}
.flight-segments .panel-group {margin-bottom: 0;}

.flight-selected .status-valid{color: forestgreen;font-size: 50px; position: absolute; top: 0; right: 10px;}
.flight-selected .status-invalid{color: #8b0000;font-size: 50px; position: absolute; top: 0; right: 10px;}
.flight-selected .status-select{color: darkorange;font-size: 50px; position: absolute; top: 0; right: 10px;}
.flight-selected .status-duplicate{color: darkorange;font-size: 50px; position: absolute; top: 0; right: 10px;}
.flight-selected .alert{color: #000000;}


#flight-modal .modal-content{background-color:transparent;}
#flight-modal .modal-body{padding:0;}
#flight-modal .modal-body .bs-callout{padding:5px;}

#flight-feedback-section h4, #flight-feedback-section h5 {margin:0;}

/* Typeahead plugin */
.twitter-typeahead{
	width   :100%;
	display :table !important;
	}

.twitter-typeahead .form-control{
	margin :0 !important;
	}

.tt-hint,
.tt-input{
	color              :#999999;
	font-size          :14px;
	height             :34px;
	padding            :6px 12px;
	font-size          :14px;
	line-height        :1.428571429;
	width              :100%;
	-webkit-box-sizing :border-box;
	-moz-box-sizing    :border-box;
	box-sizing         :border-box;
	}

.tt-hint[disabled]{
	background-color :#ffffff !important;
	}

.tt-dropdown-menu{
	min-width               :160px;
	margin-top              :2px;
	padding                 :5px 0;
	background-color        :#ffffff;
	border                  :1px solid #ebebeb;
	-webkit-background-clip :padding-box;
	-moz-background-clip    :padding;
	background-clip         :padding-box;
	width                   :100%;
	overflow-y              :auto;
	max-height              :250px;
	}

.tt-dropdown-menu h3{
	margin        :5px 0;
	padding       :6px 12px;
	font-size     :18px;
	font-weight   :700;
	border-bottom :1px solid #eeeeee;
	}

.modal-open .tt-dropdown-menu{
	z-index :10055 !important;
	}

.tt-suggestion{
	padding     :6px 12px;
	font-size   :14px;
	line-height :16px;
	}

.tt-suggestion.tt-cursor{
	cursor           :pointer;
	background-color :#eeeeee;
	}

.tt-suggestion p{
	margin :0;
	}

.tt-suggestion{padding: 0;}
.tt-suggestion > .list-group {margin-bottom: 0;}
.tt-input{color: #000000;}

